//********************************************************************
//*** ResourcePool/mysql/SQLSelectRow.hh
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: SQLSelectRow.hh,v 1.15 2009-03-02 14:16:45 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */


#ifndef RESOURCEPOOL_MYSQL_SQLSELECTROW_HH
#define RESOURCEPOOL_MYSQL_SQLSELECTROW_HH

#ifndef RESOURCEPOOL_MYSQL_SQLSELECT_HH
#include "SQLSelect.hh"
#endif

namespace fatalmind {
namespace mysql {

/**
 * A command to select exactly one row from an mysql database.
 */
class SQLSelectRow: public SQLSelect {
	public:
		SQLSelectRow(const std::string& SQL, SQL::SQLFetcher& = SQL::NopFetcher);
		SQLSelectRow(const ResourcePool<ResourceType>& p, const std::string& SQL, SQL::SQLFetcher& = SQL::NopFetcher);
// execute is derived
//		void execute(mysqlResource& dbh);
		virtual void outputoperator(std::ostream&) const;
	protected:
		virtual Clone* DoClone() const {
			return new SQLSelectRow(*this);
		}
};

}
}
#endif
